Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.as.system
Class JBossServiceModelMBean

    java.lang.Object
      org.jboss.mx.server.AbstractMBeanInvoker
          org.jboss.mx.modelmbean.ModelMBeanInvoker
              org.jboss.portal.jems.as.system.JBossServiceModelMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.PersistentMBean, org.jboss.mx.modelmbean.ModelMBeanConstants, org.jboss.mx.server.Interceptable, org.jboss.mx.server.MBeanInvoker, org.jboss.mx.server.Suspendable

    public class JBossServiceModelMBean

extends org.jboss.mx.modelmbean.ModelMBeanInvoker

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`org.jboss.mx.server.AbstractMBeanInvoker.OperationKey`

Field Summary
`static java.lang.String` | `PORTAL_KERNEL_NO_PROXIES` .

Fields inherited from class org.jboss.mx.modelmbean.ModelMBeanInvoker
`attrNotifierSequence, notifier, notifierSequence, persistence, resourceType`

Fields inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`attributeContextMap, constructorContextMap, dynamicResource, getMBeanInfoCtx, info, operationContextMap, postDeregisterCtx, postRegisterCtx, preDeregisterCtx, preRegisterCtx, resourceEntry`

Fields inherited from interface org.jboss.mx.modelmbean.ModelMBeanConstants
`ACTION, ACTION_INFO, ALL_DESCRIPTORS, ATTRIBUTE_DESCRIPTOR, ATTRIBUTE_VALUE, CACHE_ALWAYS, CACHE_ALWAYS_LIMIT, CACHE_NEVER, CACHE_NEVER_LIMIT, CACHED_VALUE, CLASS, CONSTRUCTOR_DESCRIPTOR, CURRENCY_TIME_LIMIT, DEFAULT, DELEGATING_PM_OPERATION_DEFAULT_VALUE, DELEGATING_PM_OPERATION_DESCRIPTOR, DELEGATING_PM_SERVICE_DEFAULT_VALUE, DELEGATING_PM_SERVICE_DESCRIPTOR, DESCRIPTOR_TYPE, DISPLAY_NAME, EXPORT, GENERIC_MODELMBEAN_NOTIFICATION, GET_METHOD, HIGH_VISIBILITY, INFO, INTERCEPTORS, IS_IS, IS_READABLE, IS_WRITABLE, LAST_RETURNED_TIME_STAMP, LAST_UPDATED_TIME_STAMP, LAST_UPDATED_TIME_STAMP2, LOG, LOG_FILE, LOW_VISIBILITY, MBEAN_DESCRIPTOR, MBEAN_INFO_INJECTION_TYPE, MBEAN_SERVER_INJECTION_TYPE, MESSAGE_ID, MINIMAL_VISIBILITY, NAME, NORMAL_VISIBILITY, NOTIFICATION_DESCRIPTOR, OBJECT_NAME, OBJECT_NAME_INJECTION_TYPE, OBJECT_REF, OPERATION_DESCRIPTOR, PERSIST_INFO, PERSIST_LOCATION, PERSIST_NAME, PERSIST_PERIOD, PERSIST_POLICIES, PERSIST_POLICY, PERSISTENCE_MANAGER, PP_ALWAYS, PP_NEVER, PP_NO_MORE_OFTEN_THAN, PP_ON_TIMER, PP_ON_UPDATE, PRESENTATION_STRING, PROTOCOL_MAP, RESOURCE_CLASS, ROLE, ROLE_CONSTRUCTOR, ROLE_GETTER, ROLE_OPERATION, ROLE_SETTER, SET_METHOD, SEVERITY, SEVERITY_CRITICAL, SEVERITY_MAJOR, SEVERITY_MINOR, SEVERITY_NON_RECOVERABLE, SEVERITY_NORMAL, SEVERITY_UNKNOWN, SEVERITY_WARNING, TARGET_OBJECT, TARGET_TYPE, VISIBILITY`

Constructor Summary
`JBossServiceModelMBean(java.lang.Object resource)`
`JBossServiceModelMBean(java.lang.Object resource, org.w3c.dom.Element config, java.lang.String version)`

Method Summary
`javax.management.MBeanInfo` | `getMBeanInfo()`
`protected void` | `initDispatchers()`
`boolean` | `isSupportedResourceType(java.lang.Object resource, java.lang.String resourceType)`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean done)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`

Methods inherited from class org.jboss.mx.modelmbean.ModelMBeanInvoker
`addAttributeChangeNotificationListener, addNotificationListener, configureInterceptorStack, getInterceptors, getNotificationInfo, init, initAttributeContexts, initOperationContexts, initPersistence, invokePreRegister, load, override, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setManagedResource, setModelMBeanInfo, setValuesFromMBeanInfo, store`

Methods inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`addNotificationListenerToResource, addOperationInterceptor, getAttribute, getAttributes, getInvocationTimeout, getMBeanEntry, getMetaData, getNotificationInfoFromResource, getObjectName, getResource, getServer, getSignatureString, inject, invoke, invokePostDeregister, invokePostRegister, invokePreDeregister, isSuspended, removeNotificationListenerFromResource, removeNotificationListenerFromResource, removeOperationInterceptor, resume, setAttribute, setAttributes, setInvocationTimeout, setMBeanEntry, setResource, suspend, suspend, suspend, updateAttributeInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Field Detail

### PORTAL_KERNEL_NO_PROXIES

    public static final java.lang.String PORTAL_KERNEL_NO_PROXIES

  .

  See Also:
    Constant Field Values

Constructor Detail

### JBossServiceModelMBean

    public JBossServiceModelMBean(java.lang.Object resource)
                           throws javax.management.MBeanException

Throws:
  `javax.management.MBeanException`

### JBossServiceModelMBean

    public JBossServiceModelMBean(java.lang.Object resource,
                                  org.w3c.dom.Element config,
                                  java.lang.String version)
                           throws javax.management.MBeanException

Throws:
  `javax.management.MBeanException`

Method Detail

### isSupportedResourceType

    public boolean isSupportedResourceType(java.lang.Object resource,
                                           java.lang.String resourceType)

  Overrides:
    `isSupportedResourceType` in class `org.jboss.mx.modelmbean.ModelMBeanInvoker`

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`
  Overrides:
    `getMBeanInfo` in class `org.jboss.mx.server.AbstractMBeanInvoker`

### initDispatchers

    protected void initDispatchers()

  Overrides:
    `initDispatchers` in class `org.jboss.mx.server.AbstractMBeanInvoker`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preRegister` in class `org.jboss.mx.server.AbstractMBeanInvoker`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean done)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `org.jboss.mx.server.AbstractMBeanInvoker`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preDeregister` in class `org.jboss.mx.server.AbstractMBeanInvoker`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postDeregister` in class `org.jboss.mx.server.AbstractMBeanInvoker`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD